%global srcname suds
%global sum A python SOAP client
%global desc \
The suds project is a python soap web services client lib.  Suds leverages\
python meta programming to provide an intuitive API for consuming web\
services.  Objectification of types defined in the WSDL is provided\
without class generation.  Programmers rarely need to read the WSDL since\
services and WSDL based objects can be easily inspected.

Name:           python3-%{srcname}
Summary:        %{sum}
Version:        0.6
Release:        1%{?dist}
URL:            https://bitbucket.org/jurko/%{srcname}
Source0:        https://bitbucket.org/jurko/%{srcname}/downloads/%{srcname}-jurko-%{version}.tar.bz2
Patch0:         python3-suds-tests.patch
License:        LGPLv3+
BuildArch:      noarch

%description %{desc}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-six
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname} %{desc}


%prep
%setup -q -n %{srcname}-jurko-%{version}
%patch0 -p1 -b .tests


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/*


%changelog
* Wed Oct 12 2016 Orion Poplawski <orion@cora.nwra.com> - 0.6-1
- Initial EPEL version
